local TerranWeaponFile = import('/lua/terranweapons.lua')
local TWalkingLandUnit = import('/lua/terranunits.lua').TWalkingLandUnit
local TDFHiroPlasmaCannon = TerranWeaponFile.TDFHiroPlasmaCannon
local TIFFragLauncherWeapon = TerranWeaponFile.TDFFragmentationGrenadeLauncherWeapon

tclu0302 = Class(TWalkingLandUnit) {

    Weapons = {
        Grenade = Class(TIFFragLauncherWeapon) {},
        HiroBeam = Class(TDFHiroPlasmaCannon) {},
    },

}

TypeClass = tclu0302